计算任务脚本安装方式(64位)

版主: 论坛版主

foxbin
帖子: 0
注册时间: 周四 3月 28, 2019 2:50 pm

Re: 计算任务脚本安装方式(64位)

帖子 foxbin » 周一 4月 01, 2019 10:31 pm

root@Orangepi:~/bxc# cat ins.log
[2019-03-28 07:35:37] [info] system : debian ;Package manager apt
[2019-03-28 07:35:37] [info] docker not found
[2019-03-28 07:53:45] [info] docker not found
[2019-03-28 07:53:45] [error] docker install fail,please check Apt environment

头像
wusheng
硕士研究生
帖子: 260
注册时间: 周四 11月 01, 2018 6:13 pm

Re: 计算任务脚本安装方式(64位)

帖子 wusheng » 周二 4月 02, 2019 12:53 pm

foxbin 写了:
周一 4月 01, 2019 10:31 pm
root@Orangepi:~/bxc# cat ins.log
[2019-03-28 07:35:37] [info] system : debian ;Package manager apt
[2019-03-28 07:35:37] [info] docker not found
[2019-03-28 07:53:45] [info] docker not found
[2019-03-28 07:53:45] [error] docker install fail,please check Apt environment
你可能需要手动安装Docker

例如

代码: 全选

apt install docker-ce=18.06.1~ce~3-0~debian
有未记录问题联系https://t.me/wusheng

foxbin
帖子: 0
注册时间: 周四 3月 28, 2019 2:50 pm

Re: 计算任务脚本安装方式(64位)

帖子 foxbin » 周二 4月 02, 2019 6:04 pm

root@Orangepi:~# apt install docker-ce=18.06.1~ce~3-0~debian
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '18.06.1~ce~3-0~debian' for 'docker-ce' was not found

头像
wusheng
硕士研究生
帖子: 260
注册时间: 周四 11月 01, 2018 6:13 pm

Re: 计算任务脚本安装方式(64位)

帖子 wusheng » 周二 4月 02, 2019 6:29 pm

foxbin 写了:
周二 4月 02, 2019 6:04 pm
root@Orangepi:~# apt install docker-ce=18.06.1~ce~3-0~debian
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '18.06.1~ce~3-0~debian' for 'docker-ce' was not found

代码: 全选

curl -fsSL https://download.docker.com/linux/debian/gpg | apt-key add -
echo "deb https://download.docker.com/linux/debian  stretch stable"  |tee /etc/apt/sources.list.d/docker.list
apt update
然后再执行上面那条
有未记录问题联系https://t.me/wusheng

foxbin
帖子: 0
注册时间: 周四 3月 28, 2019 2:50 pm

Re: 计算任务脚本安装方式(64位)

帖子 foxbin » 周四 4月 11, 2019 2:18 am

目前我换了一个镜像安装显示
root@orangepiprime:~# apt install -y libssl-dev libcurl4-openssl-dev liblzo2-dev libjson-c-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
libssl-dev is already the newest version (1.1.0j-1~deb9u1).
liblzo2-dev is already the newest version (2.08-1.2+b2).
libjson-c-dev is already the newest version (0.12.1-1.1).
libcurl4-openssl-dev is already the newest version (7.52.1-5+deb9u9).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@orangepiprime:~# /opt/bcloud/bxc-network
/opt/bcloud/bxc-network: /usr/lib/aarch64-linux-gnu/libcurl.so.4: version `CURL_OPENSSL_4' not found (required by /opt/bcloud/bxc-network)

火山海客
新人报道
帖子: 7
注册时间: 周六 11月 03, 2018 6:21 pm

Re: 计算任务脚本安装方式(64位)

帖子 火山海客 » 周日 4月 14, 2019 9:12 pm

脚本安装的Q5弄出了:00:ac:1f:3a:c0:ff 备注 4 0.76G 116.20G 端口受限型 高 否
就差上行带宽和不可调度这2项了

头像
二 猫
论坛管理员
帖子: 1706
注册时间: 周四 11月 01, 2018 6:34 pm

Re: 计算任务脚本安装方式(64位)

帖子 二 猫 » 周一 4月 15, 2019 12:47 pm

火山海客 写了:
周日 4月 14, 2019 9:12 pm
脚本安装的Q5弄出了:00:ac:1f:3a:c0:ff 备注 4 0.76G 116.20G 端口受限型 高 否
就差上行带宽和不可调度这2项了
调度状态是根据网络状态来的,不可调度就不会上报带宽信息,看看网有什么问题
BonusCloud.io

火山海客
新人报道
帖子: 7
注册时间: 周六 11月 03, 2018 6:21 pm

Re: 计算任务脚本安装方式(64位)

帖子 火山海客 » 周二 4月 16, 2019 1:01 pm

“调度状态是根据网络状态来的,不可调度就不会上报带宽信息,看看网有什么问题”, 网络没有问题,同一路由器下N1都正常的

头像
二 猫
论坛管理员
帖子: 1706
注册时间: 周四 11月 01, 2018 6:34 pm

Re: 计算任务脚本安装方式(64位)

帖子 二 猫 » 周二 4月 16, 2019 3:59 pm

火山海客 写了:
周二 4月 16, 2019 1:01 pm
“调度状态是根据网络状态来的,不可调度就不会上报带宽信息,看看网有什么问题”, 网络没有问题,同一路由器下N1都正常的
如果确认网络没问题,那就有可能是镜像程序问题,可以给这台设备重刷最新镜像修复下
BonusCloud.io

火山海客
新人报道
帖子: 7
注册时间: 周六 11月 03, 2018 6:21 pm

Re: 计算任务脚本安装方式(64位)

帖子 火山海客 » 周二 4月 16, 2019 11:54 pm

好!我试一下,谢谢!

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周三 4月 17, 2019 1:27 pm

[img]https://s2.ax1x.com/2019/04/17/AzpaKH.png[/img]
请问这是什么原因呢,谢谢

头像
二 猫
论坛管理员
帖子: 1706
注册时间: 周四 11月 01, 2018 6:34 pm

Re: 计算任务脚本安装方式(64位)

帖子 二 猫 » 周三 4月 17, 2019 2:00 pm

rickychaw 写了:
周三 4月 17, 2019 1:27 pm
图片
请问这是什么原因呢,谢谢
重启下重新试试
BonusCloud.io

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周三 4月 17, 2019 2:47 pm

[quote="Sinan Wang" post_id=14051 time=1555480808 user_id=54]
[quote=rickychaw post_id=14050 time=1555478868 user_id=1722]
[img]https://s2.ax1x.com/2019/04/17/AzpaKH.png[/img]
请问这是什么原因呢,谢谢
[/quote]

重启下重新试试
[/quote]

试过很多次,不行, 重刷推荐镜像脚本安装也还是这样。不清楚是不是脚本源的问题,4.2的内核。
之前K8s安装失败,提示需要kubernetes-cni-0.6.0-0.但是已安装版本高于此版本,安装失败。
手动指定安装0.6.0版本后安装顺利,安装完status也是正常的,但是绑定的时候就会提示证书未知作者。是不是pull docker镜像的时候有问题?

头像
二 猫
论坛管理员
帖子: 1706
注册时间: 周四 11月 01, 2018 6:34 pm

Re: 计算任务脚本安装方式(64位)

帖子 二 猫 » 周三 4月 17, 2019 3:27 pm


试过很多次,不行, 重刷推荐镜像脚本安装也还是这样。不清楚是不是脚本源的问题,4.2的内核。
之前K8s安装失败,提示需要kubernetes-cni-0.6.0-0.但是已安装版本高于此版本,安装失败。
手动指定安装0.6.0版本后安装顺利,安装完status也是正常的,但是绑定的时候就会提示证书未知作者。是不是pull docker镜像的时候有问题?
报错的信息是什么呢
BonusCloud.io

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周三 4月 17, 2019 3:45 pm

[quote="Sinan Wang" post_id=14054 time=1555486037 user_id=54]
[quote]

试过很多次,不行, 重刷推荐镜像脚本安装也还是这样。不清楚是不是脚本源的问题,4.2的内核。
之前K8s安装失败,提示需要kubernetes-cni-0.6.0-0.但是已安装版本高于此版本,安装失败。
手动指定安装0.6.0版本后安装顺利,安装完status也是正常的,但是绑定的时候就会提示证书未知作者。是不是pull docker镜像的时候有问题?
[/quote]

报错的信息是什么呢
[/quote]

kubeadm : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
kubelet : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
E: Unable to correct problems, you have held broken packages

头像
二 猫
论坛管理员
帖子: 1706
注册时间: 周四 11月 01, 2018 6:34 pm

Re: 计算任务脚本安装方式(64位)

帖子 二 猫 » 周三 4月 17, 2019 3:51 pm

感觉这是包的问题啊...
BonusCloud.io

头像
wusheng
硕士研究生
帖子: 260
注册时间: 周四 11月 01, 2018 6:13 pm

Re: 计算任务脚本安装方式(64位)

帖子 wusheng » 周三 4月 17, 2019 4:08 pm

rickychaw 写了:
周三 4月 17, 2019 3:45 pm
Sinan Wang 写了:
周三 4月 17, 2019 3:27 pm

试过很多次,不行, 重刷推荐镜像脚本安装也还是这样。不清楚是不是脚本源的问题,4.2的内核。
之前K8s安装失败,提示需要kubernetes-cni-0.6.0-0.但是已安装版本高于此版本,安装失败。
手动指定安装0.6.0版本后安装顺利,安装完status也是正常的,但是绑定的时候就会提示证书未知作者。是不是pull docker镜像的时候有问题?
报错的信息是什么呢
kubeadm : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
kubelet : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
E: Unable to correct problems, you have held broken packages
把kubernetes-cni卸载了再装一次嘛
有未记录问题联系https://t.me/wusheng

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周三 4月 17, 2019 4:33 pm

[quote=wusheng post_id=14057 time=1555488532 user_id=50]
[quote=rickychaw post_id=14055 time=1555487119 user_id=1722]
[quote="Sinan Wang" post_id=14054 time=1555486037 user_id=54]


报错的信息是什么呢
[/quote]

kubeadm : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
kubelet : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
E: Unable to correct problems, you have held broken packages
[/quote]
把kubernetes-cni卸载了再装一次嘛
[/quote]

装过 sudo apt-get install kubernetes-cni=0.6.0-00 , 指定0.6.0版本安装的,不然安装脚本都跑不完

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周四 4月 18, 2019 2:12 am

[quote=rickychaw post_id=14058 time=1555490003 user_id=1722]
[quote=wusheng post_id=14057 time=1555488532 user_id=50]
[quote=rickychaw post_id=14055 time=1555487119 user_id=1722]
[quote="Sinan Wang" post_id=14054 time=1555486037 user_id=54]


报错的信息是什么呢
[/quote]

kubeadm : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
kubelet : Depends: kubernetes-cni (= 0.6.0) but 0.7.5-00 is to be installed
E: Unable to correct problems, you have held broken packages
[/quote]
把kubernetes-cni卸载了再装一次嘛
[/quote]

装过 sudo apt-get install kubernetes-cni=0.6.0-00 , 指定0.6.0版本安装的,不然安装脚本都跑不完
[/quote]

[img]https://ws3.sinaimg.cn/large/0075wzgTly ... 30no054752[/img]

头像
wusheng
硕士研究生
帖子: 260
注册时间: 周四 11月 01, 2018 6:13 pm

Re: 计算任务脚本安装方式(64位)

帖子 wusheng » 周四 4月 18, 2019 1:14 pm

rickychaw 写了:
周四 4月 18, 2019 2:12 am
rickychaw 写了:
周三 4月 17, 2019 4:33 pm
wusheng 写了:
周三 4月 17, 2019 4:08 pm
把kubernetes-cni卸载了再装一次嘛
装过 sudo apt-get install kubernetes-cni=0.6.0-00 , 指定0.6.0版本安装的,不然安装脚本都跑不完
图片
salt-minion安装失败,这个无关大雅,你甚至可以跳过salt的安装,
下面的验证失败可以cat ins.log看看日志吗
有未记录问题联系https://t.me/wusheng

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周五 4月 19, 2019 2:21 am

[quote=wusheng post_id=14069 time=1555564460 user_id=50]
[quote=rickychaw post_id=14063 time=1555524758 user_id=1722]
[quote=rickychaw post_id=14058 time=1555490003 user_id=1722]


装过 sudo apt-get install kubernetes-cni=0.6.0-00 , 指定0.6.0版本安装的,不然安装脚本都跑不完
[/quote]

[img]https://ws3.sinaimg.cn/large/0075wzgTly ... 30no054752[/img]
[/quote]
salt-minion安装失败,这个无关大雅,你甚至可以跳过salt的安装,
下面的验证失败可以cat ins.log看看日志吗
[/quote]

[img]https://ws3.sinaimg.cn/large/0075wzgTly ... 30f30883yq[/img]

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周五 4月 19, 2019 2:40 am

[quote=wusheng post_id=14069 time=1555564460 user_id=50]
[quote=rickychaw post_id=14063 time=1555524758 user_id=1722]
[quote=rickychaw post_id=14058 time=1555490003 user_id=1722]


装过 sudo apt-get install kubernetes-cni=0.6.0-00 , 指定0.6.0版本安装的,不然安装脚本都跑不完
[/quote]

[img]https://ws3.sinaimg.cn/large/0075wzgTly ... 30no054752[/img]
[/quote]
salt-minion安装失败,这个无关大雅,你甚至可以跳过salt的安装,
下面的验证失败可以cat ins.log看看日志吗
[/quote]

[img]https://ws3.sinaimg.cn/large/0075wzgTly ... 30o6048mxd[/img]
重新又跑一遍脚本的提示

头像
wusheng
硕士研究生
帖子: 260
注册时间: 周四 11月 01, 2018 6:13 pm

Re: 计算任务脚本安装方式(64位)

帖子 wusheng » 周五 4月 19, 2019 11:28 am

rickychaw 写了:
周五 4月 19, 2019 2:40 am
wusheng 写了:
周四 4月 18, 2019 1:14 pm
rickychaw 写了:
周四 4月 18, 2019 2:12 am
图片
salt-minion安装失败,这个无关大雅,你甚至可以跳过salt的安装,
下面的验证失败可以cat ins.log看看日志吗
图片
重新又跑一遍脚本的提示
我没看到有错误
有未记录问题联系https://t.me/wusheng

rickychaw
新人报道
帖子: 4
注册时间: 周三 11月 28, 2018 2:39 pm

Re: 计算任务脚本安装方式(64位)

帖子 rickychaw » 周五 4月 19, 2019 11:48 am

[quote=wusheng post_id=14080 time=1555644487 user_id=50]
[quote=rickychaw post_id=14077 time=1555612844 user_id=1722]
[quote=wusheng post_id=14069 time=1555564460 user_id=50]

salt-minion安装失败,这个无关大雅,你甚至可以跳过salt的安装,
下面的验证失败可以cat ins.log看看日志吗
[/quote]

[img]https://ws3.sinaimg.cn/large/0075wzgTly ... 30o6048mxd[/img]
重新又跑一遍脚本的提示
[/quote]

我没看到有错误
[/quote]

是的,正常安装后未绑定前是不是在/opt/bcloud/文件夹下面应该有ca.crt证书?我发现我这里安装后文件夹下没有证书文件

头像
wusheng
硕士研究生
帖子: 260
注册时间: 周四 11月 01, 2018 6:13 pm

Re: 计算任务脚本安装方式(64位)

帖子 wusheng » 周五 4月 19, 2019 9:51 pm

rickychaw 写了:
周五 4月 19, 2019 11:48 am
wusheng 写了:
周五 4月 19, 2019 11:28 am
rickychaw 写了:
周五 4月 19, 2019 2:40 am
图片
重新又跑一遍脚本的提示
我没看到有错误
是的,正常安装后未绑定前是不是在/opt/bcloud/文件夹下面应该有ca.crt证书?我发现我这里安装后文件夹下没有证书文件
绑定之后才有
有未记录问题联系https://t.me/wusheng

回复